/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.dto.atu;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：自动化用例设计同步表
*
* createdate:  2022-11-25 11:14:32  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "自动化用例设计同步表")
public class DwAtuDetailTmpDto implements Serializable
{
    private List<DwAtuCaseDesignDetailDto> dwAtuCaseDesignDetailDtos;
    private List<DwAtuScriptInfoDetailDto> dwAtuScriptInfoDetailDtos;
    private List<DwReBusComponentDetailDto> dwReBusComponentDetailDtos;
    private List<Integer> type;

    public List<DwAtuCaseDesignDetailDto> getDwAtuCaseDesignDetailDtos() {
        return dwAtuCaseDesignDetailDtos;
    }

    public void setDwAtuCaseDesignDetailDtos(List<DwAtuCaseDesignDetailDto> dwAtuCaseDesignDetailDtos) {
        this.dwAtuCaseDesignDetailDtos = dwAtuCaseDesignDetailDtos;
    }

    public List<DwAtuScriptInfoDetailDto> getDwAtuScriptInfoDetailDtos() {
        return dwAtuScriptInfoDetailDtos;
    }

    public void setDwAtuScriptInfoDetailDtos(List<DwAtuScriptInfoDetailDto> dwAtuScriptInfoDetailDtos) {
        this.dwAtuScriptInfoDetailDtos = dwAtuScriptInfoDetailDtos;
    }

    public List<DwReBusComponentDetailDto> getDwReBusComponentDetailDtos() {
        return dwReBusComponentDetailDtos;
    }

    public void setDwReBusComponentDetailDtos(List<DwReBusComponentDetailDto> dwReBusComponentDetailDtos) {
        this.dwReBusComponentDetailDtos = dwReBusComponentDetailDtos;
    }

    public List<Integer> getType() {
        return type;
    }

    public void setType(List<Integer> type) {
        this.type = type;
    }
}